import models from './src/models'
import seeds from './src/seeds'

export const up = async queryInterface => {
  const createTablePromises = models.map(m => queryInterface.createTable(m.tableName, m.rawAttributes))
  await Promise.all(createTablePromises)

  const seedTablePromise = models
    .filter(m => Boolean(seeds[m.modelName]))
    .map(m => queryInterface.bulkInsert(m.tableName, seeds[m.modelName]))
  return Promise.all(seedTablePromise)
}

export const down = async queryInterface => {
  const dropTablePromises = models
    .reduce((reverse, m) => [m, ...reverse], [])
    .map(m => queryInterface.dropTable(m.tableName))

  return Promise.all(dropTablePromises)
}
