import { UUIDV4, STRING, DATE, } from 'sequelize'

export default {
  tableName: 'folders',
  modelName: 'Folder',
  options: {
    timestamps: true,
    paranoid: true,
    createdAt: 'createdAt',
    updatedAt: 'updatedAt',
    deletedAt: 'deletedAt',
  },
  rawAttributes: {
    id: {
      allowNull: true,
      primaryKey: true,
      type: UUIDV4,
    },
    name: {
      allowNull: false,
      type: STRING,
    },
    parentId: {
      allowNull: true,
      type: UUIDV4,
    },
    createdAt: {
      allowNull: false,
      type: DATE,
    },
    updatedAt: {
      allowNull: false,
      type: DATE,
    },
    deletedAt: {
      allowNull: true,
      type: DATE,
    },
  }
}
