type Collection<T> = {
  items: T[],
  total: number,
  skip: number,
  take: number,
}

type Query = {
  q: string,
}

export default interface Storage<T> {
  loadSingle(id: string): T,
  loadMultiple(query: Query): Collection<T>,
  saveSingle(data: T): (id: string) => boolean,
  deleteSingle(id: string): boolean,
}
